Bug 59100 - Installer fails to run lilo succesfully
Installer fails to run lilo succesfully
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.2
All Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-30 18:28 EST by Julian Gough
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-30 18:28:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian Gough 2002-01-30 18:28:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.17-0.12custom i686)

Description of problem:
During the install process,  for a dual boot system containing windows, if you
type a name with a space for windows,  then lilo.conf is misconfigured and lilo
does not run.  When you reboot it goes straight to windows ... no linux!!!  and
no lilo.
Probably behaves badly if you put a space in any label but I have not tested
this.

This may seem like a trivial and unlikely problem, but nowhere does it say there
must be no spaces, and an inexperienced user could easily be stumped by this. 
There are no error messages,  and the result is fatal.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install redhat 7.2 from cd onto a pre-partitioned disk already containing
windows
2.type in a label for lilo for windows with a space in it
3.end installation
	

Actual Results:  Lilo not installed,  does not boot.

Expected Results:  An error message should be generated, or better still no
spaces should be allowed to be entered as lilo labels during install.  It should
not allow exiting the installer without succesfully running lilo.

Additional info:
Comment 1 Jeremy Katz 2002-02-01 01:14:19 EST
This is already fixed for future releases

Note You need to log in before you can comment on or make changes to this bug.